javax.security.auth.message.callback

## Class PrivateKeyCallback.DigestRequest

- java.lang.Object
- - javax.security.auth.message.callback.PrivateKeyCallback.DigestRequest

- All Implemented Interfaces:
    PrivateKeyCallback.Request
  Enclosing class:
    PrivateKeyCallback

      public static class PrivateKeyCallback.DigestRequest
      extends Object
      implements PrivateKeyCallback.Request

  Request type for private keys that are identified using a certificate digest or thumbprint.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateKeyCallback.DigestRequest(byte[] digest, String algorithm)` Constructs a DigestRequest with a digest value and algorithm identifier.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()` Get the algorithm identifier.
    `byte[]` | `getDigest()` Get the digest value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivateKeyCallback.DigestRequest

          public PrivateKeyCallback.DigestRequest(byte[] digest,
                                          String algorithm)

      Constructs a DigestRequest with a digest value and algorithm identifier.

      The digest of the certificate whose private key is returned must match the provided digest. The certificate digest is computed by applying the specified algorithm to the bytes of the certificate. For example: `MessageDigest.getInstance(algorithm).digest(cert.getEncoded())` . The corresponding certificate chain for the private key is also returned. If the digest or algorithm parameters are null, the handler of the callback relies on its own defaults.

      Parameters:
        `digest` - The digest value to use to select the corresponding certificate and private key (or null).
        `algorithm` - A string value identifying the digest algorithm. The value passed to this parameter may be null. If it is not null, it must conform to the requirements for the algorithm parameter of `java.security.MessageDigest.getInstance()`.

  - ### Method Detail

    - #### getDigest

          public byte[] getDigest()

      Get the digest value.
      Returns:
        The digest value which must match the digest of the certificate corresponding to the returned private key.

    - #### getAlgorithm

          public String getAlgorithm()

      Get the algorithm identifier.
      Returns:
        The identifer of the algorithm used to compute the digest.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.